Welcome to the New BigPanda API Documentation
🚧 Authentication All BigPanda APIs require Bearer Token Authorization in the call headers. This API uses the User API Key type of Authorization token.
❗ Rate limitations To maintain quality of service, the Biggy API is limited to 100 requests per minute. Additional requests will return a 429 response code and the request will need to be retried.
🚧 Streaming options If streaming is set to true, the response will be a single streamed text line output. When streaming is set tofalse, the response is in JSON structure.
📘 Messages When you're continuing a conversation with Biggy, use the messages parameter to ensure that the LLM has the context it needs. Use the userrole to share the latest user message sent to Biggy. Theassistantrole is used to send Biggy's last response as context in the messages parameter.
🚧 Async responses When the asyncfield is set totrue, Biggy's query response will run asynchronously. A 202 response will be returned containing therequestId. To retrieve Biggy's response, use the Retrieve a Query endpoint.If asyncandstreamingare both set totrue, a 400 response will be returned.
curl --location 'https://api.biggy.io/query' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"query": "Who supports DEST service?",
"async": false,
"streaming": true,
"responseFormat": "markdown",
"messages": [
{}
],
"actionPlanName": "string",
"reasoningEffort": "string",
"agenticMode": true,
"userTimeZone": "string"
}'{
"status": 200,
"data": {}
}